Index: res/res_config_mysql.c
===================================================================
--- res/res_config_mysql.c	(revision 545)
+++ res/res_config_mysql.c	(working copy)
@@ -535,7 +535,7 @@
 	return (int)numrows;
 }
  
-static struct ast_config *config_mysql(const char *database, const char *table, const char *file, struct ast_config *cfg, struct ast_flags config_flags, const char *unused)
+static struct ast_config *config_mysql(const char *database, const char *table, const char *file, struct ast_config *cfg, struct ast_flags config_flags, const char *unused, const char *who_asked)
 {
 	MYSQL_RES *result;
 	MYSQL_ROW row;
@@ -582,7 +582,7 @@
 
 		while ((row = mysql_fetch_row(result))) {
 			if (!strcmp(row[1], "#include")) {
-				if (!ast_config_internal_load(row[2], cfg, config_flags, "")) {
+				if (!ast_config_internal_load(row[2], cfg, config_flags, "", who_asked)) {
 					mysql_free_result(result);
 					ast_mutex_unlock(&dbread.lock);
 					ast_config_destroy(cfg);
